PluginCategoryType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface PluginCategoryType

-     public interface PluginCategoryType

  Implement this interface to access unique identifiers describing the categories of plugin. This interface is also used to seed the define the extendible enumeration `PluginCategoryType`.

  See Also:
    `ExtendibleEnumerationItem`, `TypeDefinitionExtendibleEnumeration`, `PluginDefinition.getCategoryClass()`, `Warehouse.lookupExtendibleEnumeration(String)`, `TypeDefinitions.PluginCategoryType`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `Codec` Specifies that a plugin that provides the implementation of a codec, such as the codecs described by the codec identifiers.
    `static AUID` | `Effect` Specifies that a plugin that provides the implementation of an effect, such as the effects described by the operation identifiers.
    `static AUID` | `Interpolation` Specifies that a plugin that provides the implementation of an interpolation function, such as the interpolation functions described by the interpolation identifiers.

- - ### Field Detail

    - #### Effect

          @ExtendibleEnumerationItem(target="PluginCategory")
          static final AUID Effect

      Specifies that a plugin that provides the implementation of an effect, such as the effects described by the operation identifiers.

    - #### Codec

          @ExtendibleEnumerationItem(target="PluginCategory")
          static final AUID Codec

      Specifies that a plugin that provides the implementation of a codec, such as the codecs described by the codec identifiers.

    - #### Interpolation

          @ExtendibleEnumerationItem(target="PluginCategory")
          static final AUID Interpolation

      Specifies that a plugin that provides the implementation of an interpolation function, such as the interpolation functions described by the interpolation identifiers.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.